#
# Copyright (c) 1998, Guylhem AZNAR <guylhem@oeil.qc.ca>
#

@MAKEFILEDEFINES@

all:            $(PROG)

install:	$(PROG)
		$(INSTALL_PROGRAM) $(PROG) $(AFTER_BIN_DIR)

install.man:
		@if test -f $(PROG).man; then $(INSTALL_DATA) $(PROG).man $(AFTER_MAN_DIR)/$(PROG).1x; fi

uninstall:
		$(RMF) $(AFTER_BIN_DIR)/$(PROG)
		$(RMF) $(AFTER_MAN_DIR)/$(PROG).1x

clean:
		$(RMF) $(PROG) *.o *~ *% *.bak \#* core

distclean:
		$(RMF) $(PROG) *.o *~ *% *.bak \#* *.orig core Makefile

indent:
		SRCS=`echo "$(OBJS) " | sed "s/.o /.c /g"`; \
		for i in $$SRCS; do \
		  if (indent < $$i > /tmp/$$i); then \
		    mv /tmp/$$i $$i; \
		  fi; \
		done

$(PROG):        $(OBJS)
		$(CC) $(OBJS) $(LIBRARIES) $(EXTRA_LIBRARIES) -o $(@)

.c.o:
		$(CC) $(CCFLAGS) $(EXTRA_DEFINES) $(INCLUDES) $(EXTRA_INCLUDES) -c $*.c

#
# End of Make.common
#
